This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529192 - FTBFS: PyQt4-4.6 fails to build against qt-4.6.0-beta1
FTBFS: PyQt4-4.6 fails to build against qt-4.6.0-beta1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt46
  Show dependency treegraph
 
Reported: 2009-10-15 08:38 EDT by Rex Dieter
Modified: 2009-10-15 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 09:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-10-15 08:38:57 EDT
Here's the tail end of my first attempt at a build locally:

g++ -c -pipe -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2  -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -W -D_REENTRANT -DNDEBUG -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/rdieter1/cvs.fedoraproject.org/PyQt4/devel/PyQt-x11-gpl-4.6/qpy/QtCore -I/usr/include/python2.6 -I/usr/lib64/qt4/mkspecs/default -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include -o sipQtCoreQRunnable.o sipQtCoreQRunnable.cpp                     
g++ -c -pipe -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2  -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -W -D_REENTRANT -DNDEBUG -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/rdieter1/cvs.fedoraproject.org/PyQt4/devel/PyQt-x11-gpl-4.6/qpy/QtCore -I/usr/include/python2.6 -I/usr/lib64/qt4/mkspecs/default -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include -o sipQtCoreQResource.o sipQtCoreQResource.cpp                     
g++ -c -pipe -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2  -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -W -D_REENTRANT -DNDEBUG -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/rdieter1/cvs.fedoraproject.org/PyQt4/devel/PyQt-x11-gpl-4.6/qpy/QtCore -I/usr/include/python2.6 -I/usr/lib64/qt4/mkspecs/default -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include -o sipQtCoreQRegExp.o sipQtCoreQRegExp.cpp                         
In file included from sip/QtCore/qresource.sip:40:                                                               
/usr/include/QtCore/qscopedpointer.h: In copy constructor 'QResource::QResource(const QResource&)':              
/usr/include/QtCore/qscopedpointer.h:180: error: 'QScopedPointer<T, Cleanup>::QScopedPointer(const QScopedPointer<T, Cleanup>&) [with T = QResourcePrivate, Cleanup = QScopedPointerDeleter<QResourcePrivate>]' is private        
/usr/include/QtCore/qresource.h:59: error: within this context                                                   
sipQtCoreQResource.cpp: In constructor 'sipQResource::sipQResource(const QResource&)':                           
sipQtCoreQResource.cpp:78: note: synthesized method 'QResource::QResource(const QResource&)' first required here 
In file included from /usr/include/QtCore/qdatastream.h:46,                                                      
                 from /usr/include/QtCore/qmetatype.h:50,                                                        
                 from /usr/include/QtCore/QMetaType:2,                                                           
                 from sipAPIQtCore.h:41,                                                                         
                 from sipQtCoreQResource.cpp:35:                                                                 
/usr/include/QtCore/qscopedpointer.h: In static member function 'static void QScopedPointerDeleter<T>::cleanup(T*) [with T = QResourcePrivate]':                                                                                  
/usr/include/QtCore/qscopedpointer.h:100:   instantiated from 'QScopedPointer<T, Cleanup>::~QScopedPointer() [with T = QResourcePrivate, Cleanup = QScopedPointerDeleter<QResourcePrivate>]'                                      
/usr/include/QtCore/qresource.h:59:   instantiated from here                                                     
/usr/include/QtCore/qscopedpointer.h:59: error: invalid application of 'sizeof' to incomplete type 'QResourcePrivate'
/usr/include/QtCore/qscopedpointer.h:59: error: creating array with negative size ('-0x00000000000000001')
make[2]: *** [sipQtCoreQResource.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/home/rdieter1/cvs.fedoraproject.org/PyQt4/devel/PyQt-x11-gpl-4.6/QtCore'
Comment 1 Kevin Kofler 2009-10-15 08:51:38 EDT
Open qresource.sip and get rid of the bindings for QResourcePrivate and other private stuff. Why the heck is their crappy binding generator trying to bind private classes???
Comment 2 Rex Dieter 2009-10-15 08:59:17 EDT
Trying out sip-4.9.1/PyQt4-4.6.1 20091014 snapshots, these seem to be a bit
better, builds getting past the fail point above.
Comment 3 Rex Dieter 2009-10-15 09:49:23 EDT
woo, we have a winner.

%changelog
* Thu Oct 15 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.6.1-0.1.20091014
- PyQt4-4.6.1-snapshot-20091014 (#529192)

Note You need to log in before you can comment on or make changes to this bug.